package cn.net.cpzslibs.prot.handset.bean.req;

import java.io.Serializable;
import java.util.List;

public class Prot10079ReqBean implements Serializable{
	private String product_id;
	private String produce_date;
	private String produce_batch;
	private String producer;
	private String group_number;
	private String factory_code;//358000000_6
	private int type;
	private List<String> single;
//	private Prot20002ReqBatchBean batcher;
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}
	public String getProduce_date() {
		return produce_date;
	}
	public void setProduce_date(String produce_date) {
		this.produce_date = produce_date;
	}
	public String getProduce_batch() {
		return produce_batch;
	}
	public void setProduce_batch(String produce_batch) {
		this.produce_batch = produce_batch;
	}
	public String getProducer() {
		return producer;
	}
	public void setProducer(String producer) {
		this.producer = producer;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public List<String> getSingle() {
		return single;
	}
	public void setSingle(List<String> single) {
		this.single = single;
	}
	
	public void setGroup_number(String group_number) {
		this.group_number = group_number;
	}
	public String getGroup_number() {
		return group_number;
	}
	public void setFactory_code(String factory_code) {
		this.factory_code = factory_code;
	}
	public String getFactory_code() {
		return factory_code;
	}
	/*public Prot20002ReqBatchBean getBatcher() {
		return batcher;
	}
	public void setBatcher(Prot20002ReqBatchBean batcher) {
		this.batcher = batcher;
	}*/
	@Override
	public String toString() {
		return "Prot10079ReqBean [product_id=" + product_id + ", produce_date=" + produce_date + ", produce_batch="
				+ produce_batch + ", producer=" + producer + ", group_number=" + group_number + ", factory_code="
				+ factory_code + ", type=" + type + ", single=" + single + "]";
	}
	
	
}
